# Accessing Data

## Get Document

The following describes how to retrieve a document from a Hyperspace Collection.

{% tabs %}
{% tab title="Python" %}
{% code lineNumbers="true" %}

```python
document = hyperspace_client.get_document(collection_name, document_id)
```

{% endcode %}
{% endtab %}

{% tab title="Java" %}

<pre class="language-java" data-line-numbers><code class="lang-java"><strong>Dcoument document = hyperspaceClient.getDocument(collectionName, documentId)
</strong></code></pre>

{% endtab %}

{% tab title="JavaScript" %}
{% code lineNumbers="true" %}

```javascript
document = hyperspaceClient.get(id: documentId,
                                index: collectionName )
```

{% endcode %}
{% endtab %}
{% endtabs %}

<mark style="color:purple;">document\_id</mark> is a string. This is the identifier that you specified when the document was uploaded into the Hyperspace Collection and this is the identifier that is returned as the results of a query, as described in [Accessing Query Results](broken://pages/G7WvubF0GJUUtCL3NQ77).

**Where** –

<mark style="color:purple;">document</mark> is a json or a python dict object.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hyper-space.io/hyperspace-docs/flows/data-collections/accessing-data.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
